org.apache.tools.ant.filters.util

## Class JavaClassHelper

- java.lang.Object
- - org.apache.tools.ant.filters.util.JavaClassHelper

-     public final class JavaClassHelper
      extends java.lang.Object

  Helper class that filters constants from a Java Class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaClassHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.StringBuffer` | `getConstants(byte[] bytes)` Get the constants declared in a file as name=value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaClassHelper

          public JavaClassHelper()

  - ### Method Detail

    - #### getConstants

          public static java.lang.StringBuffer getConstants(byte[] bytes)
                                                     throws java.io.IOException

      Get the constants declared in a file as name=value
      Parameters:
        `bytes` - the class as a array of bytes
      Returns:
        a StringBuffer contains the name=value pairs
      Throws:
        `java.io.IOException` - if an error occurs